import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const defaultOptions = {
  mode: 'history'
}

const globalGuards = ['beforeEach', 'beforeResolve', 'afterEach']

export default function createRouter(options) {
  options = Object.assign({}, defaultOptions, options)
  let router = new VueRouter(options)
  for (let i = 0, guard ; i < globalGuards.length ; i++) {
    guard = globalGuards[i]
    if (options[guard]) {
      router[guard](options[guard])
    }
  }
  return router
}
