import VueRouter from 'vue-router'
import createRouter from '../lib/router'

describe('store', () => {

  it('createRouter', () => {
    let router = createRouter()
    expect(router).toEqual(jasmine.any(VueRouter))
  })

  it('beforeEach/afterEach is add by options', () => {
    let router1 = createRouter()
    expect(router1.beforeHooks.length).toBe(0)
    expect(router1.afterHooks.length).toBe(0)

    let beforeSpy = jasmine.createSpy('beforeEach')
    let afterSpy = jasmine.createSpy('afterEach')
    let router2 = createRouter({
      beforeEach: beforeSpy,
      afterEach: afterSpy
    })
    expect(router2.beforeHooks.length).toBe(1)
    expect(router2.afterHooks.length).toBe(1)
    expect(router2.beforeHooks[0]).toBe(beforeSpy)
    expect(router2.afterHooks[0]).toBe(afterSpy)
  })

})
