var path = require('path')
var webpack = require('webpack')

module.exports = {
  devtool: 'inline-source-map',
  resolve: {
    extensions: ['', '.js', '.styl']
  },
  module: {
    loaders: [
      {
        test: /\.vue$/,
        exclude: /node_modules/,
        loader: 'vue-loader'
      },
      {
        test: /\.js$/,
        exclude: /node_modules/,
        loader: 'babel'
      }
    ]
  },
  plugins: [
    new webpack.DefinePlugin({
      'process.env': {
        NODE_ENV: '"production"'
      }
    })
  ],
  babel: {
    presets: ['es2015', 'stage-2'],
    plugins: ['transform-runtime']
  },
  stylus: {
    import: [path.resolve(__dirname, './lib/style/mixins.styl')]
  },
  vue: {
    loaders: {
      stylus: 'style!css!stylus'
    }
  }
}
