export default [
  {
    path: '/upload',
    method: 'post',
    formdata: true,
    transport(req, res, next) {
      let file = req.files[0]
      res.json({
      	url: 'data:' + file.mimetype + ';base64,' + file.buffer.toString('base64')
      })
    }
  },
  {
    path: '/upload2pasteboard',
    method: 'post',
    formdata: true,
    proxy: {
      target: 'https://pasteboard.co/upload',
      convert(result) {
      	return {
      	  url: 'https://cdn.pbrd.co/images/' + result.url.match(/[^/]+$/)[0]
      	}
      }
    }
  },
  {
    path: /^\/news\/(.+)$/,
    method: 'get',
    proxy: {
      target: 'http://www.fifa.com/news/library/all-news/$1.htmx'
    }
  },
  {
    path: '/*',
    method: 'get',
    transport(req, res, next) {
      res.render('index')
    }
  }
]
